Get funding fees
Deprecated
/futures/isolated/funding-feesPrivateDeprecated: use GET /perp/isolated/funding-fees instead. Get the funding fees of your BTC/USD isolated trades, or of one trade with tradeId: one row per trade and funding settlement. Paginated, newest first.
Permissions: futures:isolated:read
from?stringStart date, unix epoch 0 by default
date-time"1970-01-01T00:00:00.000Z"to?stringEnd date, default to current time
date-time"2026-11-09T17:08:56.635Z"limit?integerNumber of entries to return, default to 1000
1 <= value <= 10001000cursor?stringCursor for pagination
date-timetradeId?stringTrade id to filter by
OK
application/json- response
data*array<>nextCursor*|Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.
import { createHttpClient } from '@ln-markets/sdk/rest/v3'
const client = createHttpClient({
key: 'your-key',
secret: 'your-secret',
passphrase: 'your-passphrase',
})
const result = await client.futures.isolated.getFundingFees({
from: '1970-01-01T00:00:00.000Z',
to: '2026-11-09T17:08:56.136Z',
limit: 500,
tradeId: 'eb6ccf09-140f-4207-8a56-3f91e16a445c'
}){
"data": [
{
"time": "2025-01-01T00:00:00.000Z",
"tradeId": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e",
"settlementId": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e",
"fee": 10
}
],
"nextCursor": "2024-01-15T10:30:00.000Z"
}Place trade POST
Deprecated: use POST /perp/isolated/trade instead. Place a new BTC/USD isolated trade. Returns the trade. Limit order: type="limit" and price must be…
Get markets GET
List the markets available to the caller: the released markets, plus the ones an API key grants access to. Their instrument and pair name a market on the…